org.richfaces.renderkit

## Class AbstractProgressBarRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.TemplateEncoderRendererBase
        - - org.richfaces.renderkit.AbstractProgressBarRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ProgressBarRenderer

      public class AbstractProgressBarRenderer
      extends org.richfaces.renderkit.TemplateEncoderRendererBase

  Abstract progress bar renderer
  Author:
    "Andrey Markavtsov"

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProgressBarRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Number` | `calculatePercent(java.lang.Number value, java.lang.Number minValue, java.lang.Number maxValue)` Calculates percent value according to min & max value
    `protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeClientMode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Number value, java.lang.Number min, java.lang.Number max)` Encodes client mode
    `void` | `encodeCompletedState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean isAjaxMode)` Methods encodes finish facet of progress bar component
    `void` | `encodeInitialScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String state)` Encode initial javascript
    `void` | `encodeInitialState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean isAjaxMode)` Methods encodes start facet of progress bar component
    `void` | `encodeLabelScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Encodes script for label rendering in client
    `void` | `encodePollScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Methods encodes AJAX script for polling
    `void` | `encodeProgressBar(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean isSimple)` Encodes html of component
    `void` | `encodeProgressState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean isAjaxMode)` Encodes progress state of the component
    `void` | `encodeRenderStateScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String state)` Encodes script for state rendering in client mode
    `protected java.lang.Class` | `getComponentClass()`
    `java.lang.String` | `getForcedState(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Gets state forced from javascript
    `java.lang.StringBuffer` | `getMarkup(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Renderes label markup
    `java.lang.Number` | `getNumber(java.lang.Object v)` Converts value attr to number value
    `java.lang.String` | `getParameters(javax.faces.component.UIComponent component)` Returns parameters attr
    `boolean` | `isSimpleMarkup(javax.faces.component.UIComponent component)` Returns true if markup should rendered as simple 2 divs
    `void` | `renderForcedState(java.lang.String state, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Render progress state forced from javascript

    - ### Methods inherited from class org.richfaces.renderkit.TemplateEncoderRendererBase

      `createContentHandler, getRendersChildren, main, writeScriptBody, writeScriptBody`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProgressBarRenderer

          public AbstractProgressBarRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext facesContext,
                      javax.faces.component.UIComponent uiComponent)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### renderForcedState

          public void renderForcedState(java.lang.String state,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                 throws java.io.IOException

      Render progress state forced from javascript
      Parameters:
        `state` -
        `context` -
        `component` -
      Throws:
        `java.io.IOException`

    - #### getForcedState

          public java.lang.String getForcedState(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component)

      Gets state forced from javascript
      Parameters:
        `component` -
      Returns:

    - #### getMarkup

          public java.lang.StringBuffer getMarkup(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component)

      Renderes label markup
      Parameters:
        `context` -
        `component` -
      Returns:

    - #### encodePollScript

          public void encodePollScript(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Methods encodes AJAX script for polling
      Parameters:
        `context` - - faces context
        `component` - - component instance
      Throws:
        `java.io.IOException` - - IOException

    - #### encodeRenderStateScript

          public void encodeRenderStateScript(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component,
                                     java.lang.String state)
                                       throws java.io.IOException

      Encodes script for state rendering in client mode
      Parameters:
        `context` -
        `component` -
        `state` -
      Throws:
        `java.io.IOException`

    - #### encodeLabelScript

          public void encodeLabelScript(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                 throws java.io.IOException

      Encodes script for label rendering in client
      Parameters:
        `context` -
        `component` -
      Throws:
        `java.io.IOException`

    - #### encodeInitialScript

          public void encodeInitialScript(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 java.lang.String state)
                                   throws java.io.IOException

      Encode initial javascript
      Parameters:
        `context` -
        `component` -
      Throws:
        `java.io.IOException`

    - #### encodeClientMode

          public void encodeClientMode(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              java.lang.Number value,
                              java.lang.Number min,
                              java.lang.Number max)
                                throws java.io.IOException

      Encodes client mode
      Parameters:
        `context` -
        `component` -
        `value` -
        `min` -
        `max` -
      Throws:
        `java.io.IOException`

    - #### encodeInitialState

          public void encodeInitialState(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                boolean isAjaxMode)
                                  throws java.io.IOException

      Methods encodes start facet of progress bar component
      Parameters:
        `context` - - faces context
        `component` - - component instance
      Throws:
        `java.io.IOException` - - IOException

    - #### encodeProgressState

          public void encodeProgressState(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 boolean isAjaxMode)
                                   throws java.io.IOException

      Encodes progress state of the component
      Parameters:
        `context` -
        `component` -
      Throws:
        `java.io.IOException`

    - #### encodeProgressBar

          public void encodeProgressBar(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component,
                               boolean isSimple)
                                 throws java.io.IOException

      Encodes html of component
      Parameters:
        `context` - - faces context
        `component` - - component instance
      Throws:
        `java.io.IOException`

    - #### getParameters

          public java.lang.String getParameters(javax.faces.component.UIComponent component)

      Returns parameters attr
      Parameters:
        `component` -
        `renderer` -
        `percent` -
      Returns:

    - #### isSimpleMarkup

          public boolean isSimpleMarkup(javax.faces.component.UIComponent component)

      Returns true if markup should rendered as simple 2 divs
      Parameters:
        `component` -
      Returns:

    - #### encodeCompletedState

          public void encodeCompletedState(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component,
                                  boolean isAjaxMode)
                                    throws java.io.IOException

      Methods encodes finish facet of progress bar component
      Parameters:
        `context` - - faces context
        `component` - - component instance
      Throws:
        `java.io.IOException` - - IOException

    - #### getNumber

          public java.lang.Number getNumber(java.lang.Object v)

      Converts value attr to number value
      Parameters:
        `v` - - value attr
      Returns:
        result

    - #### calculatePercent

          public java.lang.Number calculatePercent(java.lang.Number value,
                                          java.lang.Number minValue,
                                          java.lang.Number maxValue)

      Calculates percent value according to min & max value
      Parameters:
        `value` -
        `minValue` -
        `maxValue` -
      Returns:

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.richfaces.renderkit.TemplateEncoderRendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.